Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.util
Class FileChooserRegistry

    java.lang.Object
      ru.biosoft.util.FileChooserRegistry

public class FileChooserRegistry
extends java.lang.Object

Field Summary
`static java.lang.String` | `MATRIX_FILES`
`static int` | `OPEN_MODE`
`static java.lang.String` | `OTHER_FILES`
`static java.lang.String` | `PROFILE_FILES`
`static int` | `SAVE_MODE`
`static java.lang.String` | `SEQUENCE_FILES`

Constructor Summary
`FileChooserRegistry()`

Method Summary
`static java.io.File` | `getSelectedFile()`
`static void` | `init()`
`static boolean` | `showOpenDialog(java.awt.Component parent, int mode, java.lang.String dialogType, int saveOpenMode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OTHER_FILES

    public static final java.lang.String OTHER_FILES

See Also:
  Constant Field Values

### SEQUENCE_FILES

    public static final java.lang.String SEQUENCE_FILES

See Also:
  Constant Field Values

### MATRIX_FILES

    public static final java.lang.String MATRIX_FILES

See Also:
  Constant Field Values

### PROFILE_FILES

    public static final java.lang.String PROFILE_FILES

See Also:
  Constant Field Values

### SAVE_MODE

    public static final int SAVE_MODE

See Also:
  Constant Field Values

### OPEN_MODE

    public static final int OPEN_MODE

See Also:
  Constant Field Values

Constructor Detail

### FileChooserRegistry

    public FileChooserRegistry()

Method Detail

### init

    public static void init()

### getSelectedFile

    public static java.io.File getSelectedFile()

### showOpenDialog

    public static boolean showOpenDialog(java.awt.Component parent,
                                         int mode,
                                         java.lang.String dialogType,
                                         int saveOpenMode)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.